<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <!-- <xsl:output method='html' version='1.0' encoding='UTF-8' indent='yes'/> -->
    <xsl:template match="stories">
        <html>
            <body>
                <xsl:for-each select="story">
                    <div>
                        <xsl:attribute name="class">
                            <xsl:choose>
                                <xsl:when test="thumbnail">news-summary v img-summary</xsl:when>
                                <xsl:otherwise>news-summary</xsl:otherwise>
                            </xsl:choose>
                        </xsl:attribute>

                        <div class="news-body">
                            <h3>
                                <a target="_blank">
                                    <xsl:attribute name="title"><xsl:value-of select="@link"/></xsl:attribute>
                                    <xsl:attribute name="href">
                                        <xsl:for-each select="shorturl">
                                            <xsl:value-of select="@short_url"/>
                                        </xsl:for-each>
                                    </xsl:attribute>
                                    <xsl:value-of select="title"/>


                                <xsl:for-each select="thumbnail">
                                    <span style="background-attachment:scroll;background-color:transparent;background-position:0 0;background-repeat:repeat;" class="news-img">
                                    <xsl:attribute name="style">background: transparent url(<xsl:choose>
                                            <xsl:when test="string-length(@src) &gt; 0">
                                                <xsl:value-of select="@src" />
                                              </xsl:when>
                                        </xsl:choose>) repeat scroll 0% 0%;</xsl:attribute>
                                    <em>view!</em></span>
                                </xsl:for-each>
                                </a>
                            </h3>
                            <div>
                                <p>
                                <a class="body" style="color:#555;">
                                <xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
                                <xsl:value-of select="description"/>
                                </a>
                                <em>(Submitted by <a>
                                <xsl:for-each select="user">
                                    <xsl:attribute name="href">
                                        http://digg.com/users/<xsl:choose>
                                            <xsl:when test="string-length(@name) &gt; 0">
                                                <xsl:value-of select="@name" />
                                              </xsl:when>
                                        </xsl:choose>
                                    </xsl:attribute>
                                    <xsl:value-of select="@name" />
                                </xsl:for-each>
                                </a>)</em>
                                </p>
                            </div>

                    		<div class="news-details">
                    			<span class="tool comments">
                                    <xsl:attribute name="title"><xsl:value-of select="title"/></xsl:attribute>
                                    <xsl:value-of select="@comments"/> Comments</span>
                            </div>

                        </div>

                    	<ul class="news-digg">
                    		<li class="digg-count">
                        		<a>
                                <xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
                                <xsl:attribute name="title"><xsl:value-of select="title"/></xsl:attribute>
                        		<strong><xsl:value-of select="@diggs"/></strong> diggs</a>
                            </li>
                    	</ul>

                    </div>
                </xsl:for-each>
                <xsl:comment>Copyright  AndrewP</xsl:comment>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>